actions:
  1:
    action: delete_indices
    description: >-
      Delete indices older than 15 days ( metricbeat-topic-%Y_%m_%d ), for logstash-
      prefixed indices. Ignore the error if the filter does not result in an
      actionable list of indices (ignore_empty_list) and exit cleanly.
    options:
      ignore_empty_list: True
      timeout_override: 300
      continue_if_exception: False
      disable_action: False
    filters:
    - filtertype: pattern
      kind: prefix
      value: metricbeat-topic-
    - filtertype: age
      source: name
      direction: older
      timestring: '%Y_%m_%d'
      unit: days
      unit_count: 5
  2:
    action: delete_indices
    description: >-
      Delete indices older than 15 days ( poc_hwnc_nw_metric_%Y_%m_%d ), for logstash-
      prefixed indices. Ignore the error if the filter does not result in an
      actionable list of indices (ignore_empty_list) and exit cleanly.
    options:
      ignore_empty_list: True
      timeout_override: 300
      continue_if_exception: False
      disable_action: False
    filters:
    - filtertype: pattern
      kind: prefix
      value: poc_hwnc_nw_metric_
    - filtertype: age
      source: name
      direction: older
      timestring: '%Y_%m_%d'
      unit: days
      unit_count: 5
  3:
    action: delete_indices
    description: >-
      [poc_hwnc_os_metric_] == Delete indices older than 15 days ( poc_hwnc_os_metric_%Y_%m_%d ), for logstash-
      prefixed indices. Ignore the error if the filter does not result in an
      actionable list of indices (ignore_empty_list) and exit cleanly.
    options:
      ignore_empty_list: True
      timeout_override: 300
      continue_if_exception: False
      disable_action: False
    filters:
    - filtertype: pattern
      kind: prefix
      value: poc_hwnc_os_metric_
    - filtertype: age
      source: name 
      direction: older
      timestring: '%Y_%m_%d'
      unit: days
      unit_count: 5
